#
# spec file for package python-zc_recipe_egg
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-zc_recipe_egg
Version:        2.0.3
Release:        2.8
License:        ZPL-2.1
Summary:        Recipe for installing Python package distributions as eggs
Url:            https://pypi.python.org/pypi/zc.recipe.egg/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/z/zc.recipe.egg/zc.recipe.egg-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The egg-installation recipe installs eggs into a buildout eggs
directory.  It also generates scripts in a buildout bin directory with
egg paths baked into them.

%prep
%setup -q -n zc.recipe.egg-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst
%{python3_sitelib}/zc/

%{python3_sitelib}/zc.recipe.egg-%{version}-py*.egg-info
%{python3_sitelib}/zc.recipe.egg-%{version}-py*-nspkg.pth



%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sun Oct  4 2015 arun@gmx.de
- specfile:
  * doc: changes .txt to .rst files
- update to version 2.0.3:
  * Releasing zc.recipe.egg as a wheel in addition to only an
    sdist. No functional changes. [reinout]
* Sun Jul 19 2015 arun@gmx.de
- update to version 2.0.2:
  * Fixed: In zc.recipe.egg#custom recipe’s rpath support, don’t
    assume path elements are buildout-relative if they start with one
    of the "special" tokens (e.g., $ORIGIN).
* Sat Jan 17 2015 arun@gmx.de
- specfile:
  * update copyright year
  * update url to pypi
- update to version 2.0.1:
  * Accomodate "zc.bulidout" swtich to post-merge "setuptools".
- changes from versin 2.0.0:
  * Enabled 'prefer-final' option by default.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add python 3 version
* Mon Jan 14 2013 alexandre@exatati.com.br
- Update to 2.0.0a3:
  - Sorry, no changelog.
- Reworked spec file with py2pack again.
* Sat Apr 30 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack.
* Sat May  1 2010 alexandre@exatati.com.br
- Update to 1.2.3b2;
- Spec file cleaned with spec-cleaner.
* Mon Nov  9 2009 alexandre@exatati.com.br
- Fixed package name.
* Fri Oct 16 2009 alexandre@exatati.com.br
- Initial paclage (1.2.2) for openSUSE.
